{
    "name": "salix-front",
    "version": "24.30.1",
    "description": "Salix frontend",
    "productName": "Salix",
    "author": "Verdnatura",
    "private": true,
    "packageManager": "pnpm@8.15.1",
    "scripts": {
        "lint": "eslint --ext .js,.vue ./",
        "format": "prettier --write \"**/*.{js,vue,scss,html,md,json}\" --ignore-path .gitignore",
        "test:e2e": "cypress open",
        "test:e2e:ci": "cd ../salix && gulp docker && cd ../salix-front && cypress run",
        "test": "echo \"See package.json => scripts for available tests.\" && exit 0",
        "test:unit": "vitest",
        "test:unit:ci": "vitest run"
    },
    "dependencies": {
        "@quasar/cli": "^2.3.0",
        "@quasar/extras": "^1.16.9",
        "axios": "^1.4.0",
        "chromium": "^3.0.3",
        "croppie": "^2.6.5",
        "pinia": "^2.1.3",
        "quasar": "^2.14.5",
        "validator": "^13.9.0",
        "vue": "^3.3.4",
        "vue-i18n": "^9.2.2",
        "vue-router": "^4.2.1"
    },
    "devDependencies": {
        "@intlify/unplugin-vue-i18n": "^0.8.1",
        "@pinia/testing": "^0.1.2",
        "@quasar/app-vite": "^1.7.3",
        "@quasar/quasar-app-extension-qcalendar": "4.0.0-beta.15",
        "@quasar/quasar-app-extension-testing-unit-vitest": "^0.4.0",
        "@vue/test-utils": "^2.4.4",
        "autoprefixer": "^10.4.14",
        "cypress": "^13.6.6",
        "eslint": "^8.41.0",
        "eslint-config-prettier": "^8.8.0",
        "eslint-plugin-cypress": "^2.13.3",
        "eslint-plugin-vue": "^9.14.1",
        "postcss": "^8.4.23",
        "prettier": "^2.8.8",
        "vitest": "^0.31.1"
    },
    "engines": {
        "node": "^20 || ^18 || ^16",
        "npm": ">= 8.1.2",
        "yarn": ">= 1.21.1",
        "bun": ">= 1.0.25"
    },
    "overrides": {
        "@vitejs/plugin-vue": "^5.0.4",
        "vite": "^5.1.4",
        "vitest": "^0.31.1"
    }
}
